
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #617

audacious -j does not open jump-to-file dialog

January 14, 2016 19:45 - Thomas Lange

Status: Closed Start date: January 14, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.7.2   

Affects version: 3.6, 3.7, 3.8   

Description

The command "audacious -j" and "audacious --show-jump-box" are not opening the jump-to-file dialog anymore.

Affected versions are at least 3.6+ with both interfaces.

History

#1 - January 17, 2016 19:36 - John Lindgren

Works fine here.

#2 - January 17, 2016 21:14 - Thomas Lange

That's strange. The reason is that current_interface is NULL in aud_ui_show_jump_to_song(), libaudcore/interface.cc#216.

#3 - January 18, 2016 05:58 - John Lindgren

There might have to be a running instance already for it to work.  I will try it later on the first instance and see if I can reproduce.  Possibly

aud_ui_show_jump_to_song() needs to be called later in the startup process.

#4 - February 20, 2016 21:14 - John Lindgren

- Category set to core

- Status changed from New to Closed

- % Done changed from 0 to 100
